curl --request PUT \
--url https://api.sandbox.nevermined.app/api/v1/organizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slug": "acme-labs",
"name": "Nevermined Labs",
"description": "AI infrastructure for knowledge agents.",
"url": "https://nevermined.app",
"isActive": true,
"cryptoFees": "1500",
"fiatFees": "1500"
}
'import requests
url = "https://api.sandbox.nevermined.app/api/v1/organizations"
payload = {
"slug": "acme-labs",
"name": "Nevermined Labs",
"description": "AI infrastructure for knowledge agents.",
"url": "https://nevermined.app",
"isActive": True,
"cryptoFees": "1500",
"fiatFees": "1500"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slug: 'acme-labs',
name: 'Nevermined Labs',
description: 'AI infrastructure for knowledge agents.',
url: 'https://nevermined.app',
isActive: true,
cryptoFees: '1500',
fiatFees: '1500'
})
};
fetch('https://api.sandbox.nevermined.app/api/v1/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update organization details
Updates mutable metadata on the caller organization (name, description, url, active flag, crypto/fiat fees). The organization is resolved from the authenticated context. Only fields present in the body are changed. Requires a Nevermined API key. Requires organization admin privileges.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Organization properties that should be updated
Unique DNS-safe label for the org subdomain (<slug>.api.nevermined.app). Lowercase letters, digits and hyphens; no leading or trailing hyphen.
"acme-labs"
Display name of the organization
"Nevermined Labs"
Short description that will be shown publicly
"AI infrastructure for knowledge agents."
Organization public URL
"https://nevermined.app"
Whether the organization is active. If set to false, all members will also be deactivated.
true
Fee percentage for crypto payments, multiplied by 10000 (e.g., 1500 = 15%)
"1500"
Fee percentage for fiat payments, multiplied by 10000 (e.g., 1500 = 15%)
"1500"
Response
Organization updated successfully
Was this page helpful?